html {
    scroll-behavior: smooth;
}

.indoor-form .form-group table {
    border-collapse: collapse;
    width: 100%;
    margin-top: 15px;
}

.indoor-form .form-group th,
.indoor-form .form-group td {
    border: 1px solid #ccc;
    padding: 7px 5px;
    text-align: center;
}

.indoor-form .form-group select {
    width: 100%;
    padding: 5px;
}

.indoor-form .form-group p {
    margin-bottom: 0;
    margin-left: 12px;
}

.form-top-content {
    margin-bottom: 46px;
    margin-top: -14px;
    margin-left: 18px;
    font-family: 'Poppins';
    font-weight: 600;
}

.indoor-form .form-group label,
.indoor-form .form-group p {
    font-weight: 400;
    color: black;
    font-size: 16px;
    margin-bottom: 0px;
    display: block;
    line-height: 30px;
    font-family: "poppins";
}

.add-info-content {
    margin-left: 31px;
}

.banner-form img {
    width: 100%;
}

.scroll-container {
    overflow-x: auto;
    /* Horizontal scroll enable */
    white-space: nowrap;
    /* Keep contents in one line */
    width: 100%;
    /* Adjust as needed */
}

.banner-form {
    display: inline-block;
    background-image: url(img/existing-plan.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    width: 2000px;
    height: 780px;
    border-bottom: 1px solid;
}

.scroll-button {
    position: absolute;
    bottom: 81px;
    background: #20343f;
    color: white;
    border: none;
    padding: 6px 16px;
    font-size: 20px;
    right: 0;
    width: 25%;
    margin: auto;
    cursor: pointer;
    left: 0;
    z-index: 99999;
}

.indoor-form {
    padding: 50px 100px;
    height: auto !important;
    overflow-y: scroll;
}

body {
    overflow-x: hidden;
}

.indoor-form .form-group input[type="text"],
.indoor-form .form-group textarea {
    padding: 7px 14px !important;
    border: 1px solid #e3e6f0 !important;
    border-radius: 5px;
    margin-bottom: 25px;
    margin-top: 2px;
    width: 95%;
    box-sizing: border-box;
    font-family: 'poppins' !important;
    color: #656565;
    font-size: 16px;
    letter-spacing: 1px;
    border: none;
    letter-spacing: 0;
    font-size: 16px !important;
    resize: vertical;
    margin-bottom: 10px;
    margin-left: 28px !important;
}

.indoor-form .form-group select {
    margin-left: 28px;
    width: 95%;
    padding: 7px 14px !important;
    border: 1px solid #e3e6f0 !important;
    border-radius: 5px;
    width: 95%;
    box-sizing: border-box;
    font-family: 'poppins' !important;
    color: black;
    font-size: 16px;
    letter-spacing: 1px;
    border: none;
    letter-spacing: 0;
    font-size: 16px !important;
    resize: vertical;
}

.indoor-form .form-group {
    margin-bottom: 40px;
}

.indoor-form .d-flex {
    margin-bottom: 12px;
}

.indoor-form .form-group input[type="submit"] {
    background-image: linear-gradient(to right, #16222A 0%, #3A6073 51%, #16222A 100%);
    margin: 20px auto;
    padding: 10px 25px;
    text-align: center;
    text-transform: capitalize;
    transition: 0.5s;
    background-size: 200% auto;
    color: white;
    box-shadow: 0 0 20px #eee;
    border-radius: 10px;
    cursor: pointer;
    font-family: Nunito;
    font-size: 15px;
    border: 1px solid #fff;
    width: 20%;
    float: right;
}

.indoor-form h3 {
    font-family: 'Poppins';
    font-weight: 700;
    margin-bottom: 50px;
    text-align: left;
    border-bottom: 1px solid #20343f;
    padding-bottom: 14px;
    color: #20343f;
    cursor: pointer;
}

.hiddenForm {
    background: #1f323d17;
    padding: 20px 0;
    border-left: 4px solid #315060;
    margin-left: 16px;
}

.hiddenForm p {
    margin-left: 0 !important;
}

.indoor-form .back-button {
    background: #20343f;
    padding: 4px 11px;
    border-radius: 50%;
    color: white;
    position: absolute;
    left: -54px;
}

.choose-statement label {
    font-weight: 600 !important;
    margin-bottom: 8px !important;
}

.choose-statement .d-flex p {
    font-size: 15px;
}

.choose-statement .d-flex {
    margin-left: 29px;
    align-items: baseline;
}

.check-box-error {
    margin-left: 44px;
    margin-top: -13px;
    margin-bottom: 20px;
}

.indoor-form .form-group label {
    text-indent: -31px;
    margin-left: 29px;
}

.indoor-form .form-group b {
    margin-right: 6px;
}

.add-info-content {
    margin-left: 27px;
}

.add-info-content p:nth-child(1) {
    font-weight: 600;
    font-size: 18px !important;
}

.add-info-content p {
    font-size: 15px !important;
}

#timeTableBody select {
    margin-left: 0 !important;
    width: 100%;
    font-size: 13px !important;
}

.add-info-content span:before {
    width: 48%;
    height: 2px;
    position: absolute;
    content: '';
    background-color: #315060;
    left: 0;
    top: 13px;
}

.add-info-content span::after {
    width: 48%;
    height: 2px;
    position: absolute;
    content: '';
    background-color: #315060;
    right: 0;
    top: 13px;
}

.add-info-content span {
    text-align: center;
    display: block;
    position: relative;
    font-weight: 500;
}

.floorplans-mobile {
    display: none !important;
}

.container .row .left-wrap .left {
    background-image: url(imgs/floor-plan.webp);
    height: 100vh;
    -webkit-box-align: center;
    position: relative;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: bottom;
    background-color: white;
}

.indoor-form .error {
    margin-left: 0px !important;
    text-indent: 0px !important;
}

.left {
    position: sticky !important;
    top: 1px !important;
}

.choose-statement .error {
    padding-left: 48px !important;
}

.indoor-form .form-group .error {
    padding-left: 28px;
    font-weight: 400 !important;
}

@media (max-width:768px) {
    .indoor-form {
        padding: 20px 0;
        height: inherit;
    }

    body {
        overflow: inherit;
    }

    .indoor-form .form-group input[type="submit"] {
        width: 100%;
    }

    .indoor-form .form-group label,
    .indoor-form .form-group p {
        font-size: 14px;
    }

    .indoor-form .back-button {
        background: #20343f;
        padding: 3px 8px;
        border-radius: 50%;
        color: white;
        left: 0;
        position: relative;
        font-size: 19px;
        top: 0px;
    }

    .floorplans-desktop {
        display: none !important;
    }

    .floorplans-mobile {
        display: block !important;
    }

    .container .row .left-wrap .left {
        display: none;
    }

    .indoor-form .d-flex {
        margin-bottom: 12px;
        align-items: baseline;
    }

    .indoor-form h3 {
        font-size: 20px;
    }

    .form-top-content p {
        font-size: 13px;
    }

    .banner-form {
        width: 1200px;
        height: 600px;
    }

    .scroll-button {
        width: 100%;
        top: 0;
        bottom: inherit;
    }
}

@media(min-width:768px) and (max-width:1100px) {
    .container .row .left-wrap .left {
        background-size: cover;
    }

    .indoor-form {
        height: 700px;
        padding: 50px 50px;
    }
}


@media(min-width:768px) and (max-width:1000px) {
    .scroll-button {
        width: 100% !important;
        top: 0;
        bottom: inherit;
    }
}

@media(min-width:1000px) and (max-width:1100px) {

    .banner-form {
        height: 600px;
        width: 1500px;
    }

    .scroll-button {
        width: 37%;
        left: 200px;
        bottom: 66px;
    }

}

@media(min-width:1100px) and (max-width:1200px) {
    .indoor-form {
        padding: 50px 45px;
        height: 100vh;
        overflow-y: scroll;
    }

    .indoor-form .back-button {
        background: #20343f;
        padding: 5px 10px;
        border-radius: 50%;
        color: white;
        position: absolute;
        left: -35px;
        font-size: 23px;
    }

    .container .row .left-wrap .left {
        background-size: cover;
    }

    .banner-form {
        height: 670px;
        width: 1700px;
    }

    .scroll-button {
        width: 33%;
        left: 100px;
    }
}

@media(min-width:1200px) and (max-width:1300px) {
    .indoor-form {
        padding: 50px 45px;
        height: 100vh;
        overflow-y: scroll;
    }

    .indoor-form .back-button {
        background: #20343f;
        padding: 5px 10px;
        border-radius: 50%;
        color: white;
        position: absolute;
        left: -35px;
        font-size: 23px;
    }

    .container .row .left-wrap .left {
        background-size: cover;
    }

    .banner-form {
        height: 670px;
        width: 1700px;
    }

    .scroll-button {
        width: 30%;
        left: 100px;
    }
}

@media(min-width:1300px) and (max-width:1400px) {
    .indoor-form {
        padding: 50px 45px;
        height: 98vh;
        overflow-y: scroll;
    }

    .indoor-form .back-button {
        background: #20343f;
        padding: 5px 10px;
        border-radius: 50%;
        color: white;
        position: absolute;
        left: -35px;
        font-size: 23px;
    }

    .container .row .left-wrap .left {
        background-size: cover;
    }

    .banner-form {
        height: 670px;
        width: 1700px;
    }

    .scroll-button {
        width: 30%;
        left: 100px;
    }
}

@media(min-width:1400px) and (max-width:1500px) {
    .indoor-form {
        padding: 50px 45px;
        height: 100vh;
        overflow-y: scroll;
    }

    .indoor-form .back-button {
        background: #20343f;
        padding: 5px 10px;
        border-radius: 50%;
        color: white;
        position: absolute;
        left: -35px;
        font-size: 23px;
    }

    .container .row .left-wrap .left {
        background-size: cover;
    }

    .banner-form {
        height: 670px;
        width: 1700px;
    }

    .scroll-button {
        width: 30%;
        left: 100px;
    }
}

@media(min-width:1500px) and (max-width:1600px) {
    .indoor-form {
        padding: 50px 45px;
        height: 100vh;
        overflow-y: scroll;
    }

    .indoor-form .back-button {
        background: #20343f;
        padding: 5px 10px;
        border-radius: 50%;
        color: white;
        position: absolute;
        left: -35px;
        font-size: 23px;
    }

    .container .row .left-wrap .left {
        height: 106vh;
    }

    .container .row .left-wrap .left {
        background-size: cover;
    }

    .banner-form {
        height: 670px;
        width: 1700px;
    }
}

@media(min-width:1600px) and (max-width:1700px) {
    .indoor-form {
        padding: 50px 45px;
        height: 100vh;
        overflow-y: scroll;
    }

    .indoor-form .back-button {
        background: #20343f;
        padding: 5px 10px;
        border-radius: 50%;
        color: white;
        position: absolute;
        left: -35px;
        font-size: 23px;
    }

    .container .row .left-wrap .left {
        background-size: cover;
    }

    .banner-form {
        height: 670px;
        width: 1700px;
    }
}

@media(min-width:1700px) and (max-width:1800px) {
    .banner-form {
        height: 670px;
        width: 1700px;
    }
}